AWS IoT Device SDK C++ v2: Aws::Eventstreamrpc::OperationError Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Static Public Member Functions | List of all members
Aws::Eventstreamrpc::OperationError Class Referenceabstract

`#include <EventStreamClient.h>`

Inheritance diagram for Aws::Eventstreamrpc::OperationError:

## Public Member Functions
| OperationError () noexcept
virtual void | SerializeToJsonObject (Crt::JsonObject &payloadObject) const override
virtual Crt::Optional< Crt::String > | GetMessage () noexcept=0
Public Member Functions inherited from Aws::Eventstreamrpc::AbstractShapeBase
| AbstractShapeBase () noexcept
virtual | ~AbstractShapeBase () noexcept
virtual Crt::String | GetModelName () const noexcept=0

## Static Public Member Functions
static void | s_customDeleter (OperationError *shape) noexcept
Static Public Member Functions inherited from Aws::Eventstreamrpc::AbstractShapeBase
static void | s_customDeleter (AbstractShapeBase *shape) noexcept

## Additional Inherited Members
Protected Attributes inherited from Aws::Eventstreamrpc::AbstractShapeBase
Crt::Allocator * | m_allocator

## Constructor & Destructor Documentation

## ◆ OperationError()

Aws::Eventstreamrpc::OperationError::OperationError | ( |  | ) |
| explicitnoexcept

## Member Function Documentation

## ◆ GetMessage()

virtual Crt::Optional< Crt::String > Aws::Eventstreamrpc::OperationError::GetMessage | ( |  | ) |
| pure virtualnoexcept

Implemented in Aws::Greengrass::InvalidTokenError, Aws::Greengrass::FailedUpdateConditionCheckError, Aws::Greengrass::ConflictError, Aws::Greengrass::ComponentNotFoundError, Aws::Greengrass::ResourceNotFoundError, Aws::Greengrass::InvalidArgumentsError, Aws::Greengrass::InvalidArtifactsDirectoryPathError, Aws::Greengrass::InvalidRecipeDirectoryPathError, Aws::Greengrass::ServiceError, and Aws::Greengrass::UnauthorizedError.

## ◆ s_customDeleter()

void Aws::Eventstreamrpc::OperationError::s_customDeleter | ( | OperationError * | shape | ) |
| staticnoexcept

## ◆ SerializeToJsonObject()

void Aws::Eventstreamrpc::OperationError::SerializeToJsonObject | ( | Crt::JsonObject & | payloadObject | ) | const
| overridevirtual

Implements Aws::Eventstreamrpc::AbstractShapeBase.

Reimplemented in Aws::Greengrass::InvalidTokenError, Aws::Greengrass::FailedUpdateConditionCheckError, Aws::Greengrass::ConflictError, Aws::Greengrass::ComponentNotFoundError, Aws::Greengrass::ResourceNotFoundError, Aws::Greengrass::InvalidArgumentsError, Aws::Greengrass::InvalidArtifactsDirectoryPathError, Aws::Greengrass::InvalidRecipeDirectoryPathError, Aws::Greengrass::ServiceError, and Aws::Greengrass::UnauthorizedError.

The documentation for this class was generated from the following files:

- eventstream_rpc/include/aws/eventstreamrpc/EventStreamClient.h
- eventstream_rpc/source/EventStreamClient.cpp